From 7e00f0f16ad820f25f1a7e125a30dcb3a373e357 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Tue, 25 Jun 2019 11:29:15 +0700
Subject: [PATCH 1/2] git: register git-shell to /etc/shells

git-shell is a restricted login shell for git-only SSH access
---
 srcpkgs/git/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/git/template b/srcpkgs/git/template
index 938516fe7a0..8edad8af013 100644
--- a/srcpkgs/git/template
+++ b/srcpkgs/git/template
@@ -20,6 +20,7 @@ changelog="https://raw.githubusercontent.com/git/git/master/Documentation/RelNot
 distfiles="https://www.kernel.org/pub/software/scm/git/git-${version}.tar.xz"
 checksum=159e4b599f8af4612e70b666600a3139541f8bacc18124daf2cbe8d1b934f29f
 replaces="git-perl>=0"
+register_shell=/usr/bin/git-shell
 
 subpackages="git-cvs git-svn gitk git-gui git-all git-libsecret"
 

From b190e955f004bf852e22294c6e7a2eeceac90b11 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Tue, 25 Jun 2019 11:30:52 +0700
Subject: [PATCH 2/2] zsh: use completion script from git itself

From git 2.17, git has new flag `--git-completion-helper',
which will provide more up-to-date completion,
prefer git completion script over zsh's bundled script
---
 srcpkgs/git/template | 4 +++-
 srcpkgs/zsh/template | 4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/git/template b/srcpkgs/git/template
index 8edad8af013..898cd5ba11c 100644
--- a/srcpkgs/git/template
+++ b/srcpkgs/git/template
@@ -1,7 +1,7 @@
 # Template file for 'git'
 pkgname=git
 version=2.22.0
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-curl --with-expat --with-tcltk --with-libpcre2
  ac_cv_snprintf_returns_bogus=no"
@@ -39,6 +39,8 @@ post_install() {
 	make NO_INSTALL_HARDLINKS=1 DESTDIR=${DESTDIR} install-doc
 	vinstall contrib/completion/git-completion.bash 644 \
 		usr/share/bash-completion/completions git
+	vinstall contrib/completion/git-completion.zsh 644 \
+		usr/share/zsh/site-functions _git
 	vinstall contrib/completion/git-prompt.sh 644 usr/share/git
 	make -C contrib/subtree DESTDIR=${DESTDIR} prefix=/usr install install-man
 	vinstall contrib/credential/libsecret/git-credential-libsecret 755 usr/libexec/git-core
diff --git a/srcpkgs/zsh/template b/srcpkgs/zsh/template
index 6aae68a0180..7fca01ca8eb 100644
--- a/srcpkgs/zsh/template
+++ b/srcpkgs/zsh/template
@@ -1,7 +1,7 @@
 # Template file for 'zsh'
 pkgname=zsh
 version=5.7.1
-revision=1
+revision=2
 build_style=gnu-configure
 make_build_target="all info"
 make_install_args="install.info"
@@ -37,7 +37,7 @@ pre_configure() {
 		sed "s#\s*Completion/$_fpath/\*/\*##g" -i Src/Zle/complete.mdd
 	done
 	rm -f Completion/Linux/Command/_{pkgtool,rpmbuild,yast}
-	rm -f Completion/Unix/Command/_{notmuch,osc,systemd}
+	rm -f Completion/Unix/Command/_{notmuch,osc,systemd,git}
 }
 post_install() {
 	vlicense LICENCE
